List Basins
curl --request GET \
--url https://api.example.com/basinsimport requests
url = "https://api.example.com/basins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/basins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"basins": [
{
"name": "<string>",
"scope": "<string>",
"state": "<string>"
}
],
"has_more": true
}Basins
List Basins
GET
/
basins
List Basins
List basins in your account.
Query Parameters
string
Filter to basins whose names begin with this prefix.
string
Filter to basins whose names lexicographically start after this string.
It must be greater than or equal to the
prefix if specified.number
default:"1000"
Number of results, up to a maximum of 1000.
Response
array
boolean
Indicates that there are more basins that match the criteria.
Example
curl -X GET "https://aws.s2.dev/v1/basins?limit=10" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
"basins": [
{
"name": "my-basin-1",
"scope": "aws:us-east-1",
"state": "active"
},
{
"name": "my-basin-2",
"scope": "aws:us-east-1",
"state": "active"
}
],
"has_more": false
}